<?xml version="1.0" encoding="utf-8"?>
<MotionScene xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:motion="http://schemas.android.com/apk/res-auto">

    <Transition
        motion:constraintSetEnd="@+id/end"
        motion:constraintSetStart="@+id/start"
        motion:duration="1000"
        motion:motionInterpolator="linear">
        <KeyFrameSet>
            <KeyAttribute
                android:alpha="0"
                motion:framePosition="20"
                motion:motionTarget="@+id/userIdTv" />
            <KeyAttribute
                android:alpha="0"
                motion:framePosition="20"
                motion:motionTarget="@+id/personal_badge" />
            <KeyAttribute
                android:alpha="0"
                motion:framePosition="20"
                motion:motionTarget="@+id/iv_arrow" />
        </KeyFrameSet>
    </Transition>

    <ConstraintSet android:id="@+id/start">
        <Constraint
            android:id="@+id/whiteBg"
            android:layout_width="match_parent"
            android:layout_height="200dp"
            android:alpha="0"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintEnd_toEndOf="parent"
            motion:layout_constraintStart_toStartOf="parent" />

        <Constraint
            android:id="@+id/gradientBg"
            android:layout_width="match_parent"
            android:layout_height="200dp"
            android:alpha="1"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintEnd_toEndOf="parent"
            motion:layout_constraintStart_toStartOf="parent"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@+id/colorBg"
            android:layout_width="match_parent"
            android:layout_height="200dp"
            android:alpha="1"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintEnd_toEndOf="parent"
            motion:layout_constraintStart_toStartOf="parent"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@+id/personal_user_icon"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="6dp"
            android:layout_marginBottom="39dp"
            motion:layout_constraintBottom_toBottomOf="@+id/colorBg"
            motion:layout_constraintStart_toStartOf="@+id/colorBg" />

        <Constraint
            android:id="@+id/personal_user_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            motion:layout_constraintBottom_toTopOf="@+id/userIdTv"
            motion:layout_constraintStart_toEndOf="@+id/personal_user_icon"
            motion:layout_constraintTop_toTopOf="@+id/personal_user_icon" />

        <Constraint
            android:id="@+id/userIdTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:alpha="1"
            motion:layout_constraintBottom_toTopOf="@+id/personal_badge"
            motion:layout_constraintStart_toEndOf="@+id/personal_user_icon"
            motion:layout_constraintTop_toBottomOf="@+id/personal_user_name" />

        <Constraint
            android:id="@+id/personal_badge"
            android:layout_width="wrap_content"
            android:layout_height="20dp"
            android:layout_marginBottom="14dp"
            android:alpha="1"
            motion:layout_constraintBottom_toBottomOf="@+id/personal_user_icon"
            motion:layout_constraintStart_toEndOf="@+id/personal_user_icon" />

        <Constraint
            android:id="@+id/iv_arrow"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="20dp"
            android:layout_marginBottom="76dp"
            android:alpha="1"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintEnd_toEndOf="parent" />

    </ConstraintSet>

    <ConstraintSet android:id="@+id/end">
        <Constraint
            android:id="@+id/whiteBg"
            android:layout_width="match_parent"
            android:layout_height="200dp"
            android:alpha="1"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintEnd_toEndOf="parent"
            motion:layout_constraintStart_toStartOf="parent" />

        <Constraint
            android:id="@+id/gradientBg"
            android:layout_width="match_parent"
            android:layout_height="200dp"
            android:alpha="0"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintEnd_toEndOf="parent"
            motion:layout_constraintStart_toStartOf="parent"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@+id/colorBg"
            android:layout_width="match_parent"
            android:layout_height="200dp"
            android:alpha="0"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintEnd_toEndOf="parent"
            motion:layout_constraintStart_toStartOf="parent"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@+id/personal_user_icon"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="6dp"
            android:layout_marginBottom="39dp"
            android:scaleX="0.5"
            android:scaleY="0.5"
            android:translationX="-18dp"
            android:translationY="57dp"
            motion:layout_constraintBottom_toBottomOf="@+id/colorBg"
            motion:layout_constraintStart_toStartOf="@+id/colorBg" />

        <Constraint
            android:id="@+id/personal_user_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:scaleX="0.875"
            android:scaleY="0.875"
            android:translationX="-43dp"
            android:translationY="57dp"
            motion:layout_constraintBottom_toBottomOf="@+id/personal_user_icon"
            motion:layout_constraintStart_toEndOf="@+id/personal_user_icon"
            motion:layout_constraintTop_toTopOf="@+id/personal_user_icon" />

        <Constraint
            android:id="@+id/userIdTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:alpha="0"
            android:scaleX="0.875"
            android:scaleY="0.875"
            android:translationX="-40dp"
            android:translationY="57dp"
            motion:layout_constraintStart_toEndOf="@+id/personal_user_icon"
            motion:layout_constraintTop_toBottomOf="@+id/personal_user_name" />

        <Constraint
            android:id="@+id/personal_badge"
            android:layout_width="wrap_content"
            android:layout_height="20dp"
            android:layout_marginTop="1dp"
            android:alpha="0"
            android:scaleX="0.875"
            android:scaleY="0.875"
            android:translationX="-40dp"
            android:translationY="57dp"
            motion:layout_constraintBottom_toBottomOf="@+id/personal_user_icon"
            motion:layout_constraintStart_toEndOf="@+id/personal_user_icon" />

        <Constraint
            android:id="@+id/iv_arrow"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="20dp"
            android:layout_marginBottom="76dp"
            android:alpha="0"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintEnd_toEndOf="parent" />
    </ConstraintSet>
</MotionScene>